Skip to content
Get started

List webhook deliveries

client.Agents.WebhookDeliveries.List(ctx, agentID, query) (*CursorPagination[WebhookDelivery], error)
GET/v1/agents/{agentId}/webhook_deliveries

Lists all webhook deliveries for an agent

ParametersExpand Collapse
agentID string
query AgentWebhookDeliveryListParams
Cursor param.Field[string]optional

Pagination cursor from previous response

EventType param.Field[AgentWebhookDeliveryListParamsEventType]optional

Optional filter by event type

formatenum
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeUnspecified AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_UNSPECIFIED"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeUserMessage AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_USER_MESSAGE"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeToolApprovalRequested AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeToolApproved AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_TOOL_APPROVED"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeToolDenied AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_TOOL_DENIED"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeToolCalled AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_TOOL_CALLED"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeSubObjectiveCreated AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_SUB_OBJECTIVE_CREATED"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeError AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_ERROR"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeAssistantMessage AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_ASSISTANT_MESSAGE"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeToolResult AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_TOOL_RESULT"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeToolError AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_TOOL_ERROR"
const AgentWebhookDeliveryListParamsEventTypeObjectiveEventTypeContextWindowCompacted AgentWebhookDeliveryListParamsEventType = "OBJECTIVE_EVENT_TYPE_CONTEXT_WINDOW_COMPACTED"
Limit param.Field[int64]optional

Maximum number of results to return

formatint32
ObjectiveID param.Field[string]optional

Optional filter by objective ID

ReturnsExpand Collapse
type WebhookDelivery struct{…}

Webhook delivery data

AgentID string

Related resources

AttemptCount int64
EventType WebhookDeliveryDataEventType

The type of objective event that triggered this webhook delivery

formatenum
One of the following:
const WebhookDeliveryDataEventTypeObjectiveEventTypeUnspecified WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_UNSPECIFIED"
const WebhookDeliveryDataEventTypeObjectiveEventTypeUserMessage WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_USER_MESSAGE"
const WebhookDeliveryDataEventTypeObjectiveEventTypeToolApprovalRequested WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_TOOL_APPROVAL_REQUESTED"
const WebhookDeliveryDataEventTypeObjectiveEventTypeToolApproved WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_TOOL_APPROVED"
const WebhookDeliveryDataEventTypeObjectiveEventTypeToolDenied WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_TOOL_DENIED"
const WebhookDeliveryDataEventTypeObjectiveEventTypeToolCalled WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_TOOL_CALLED"
const WebhookDeliveryDataEventTypeObjectiveEventTypeSubObjectiveCreated WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_SUB_OBJECTIVE_CREATED"
const WebhookDeliveryDataEventTypeObjectiveEventTypeError WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_ERROR"
const WebhookDeliveryDataEventTypeObjectiveEventTypeAssistantMessage WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_ASSISTANT_MESSAGE"
const WebhookDeliveryDataEventTypeObjectiveEventTypeToolResult WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_TOOL_RESULT"
const WebhookDeliveryDataEventTypeObjectiveEventTypeToolError WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_TOOL_ERROR"
const WebhookDeliveryDataEventTypeObjectiveEventTypeContextWindowCompacted WebhookDeliveryDataEventType = "OBJECTIVE_EVENT_TYPE_CONTEXT_WINDOW_COMPACTED"
HTTPStatusCode int64

Response details (no response_body to avoid storing large payloads)

formatint32
LastAttemptAt Time
LatencyMs int64
ObjectiveEventID string
ObjectiveID string
ResponseContentLength string

Content length of the response body in bytes

Status WebhookDeliveryDataStatus
formatenum
One of the following:
const WebhookDeliveryDataStatusWebhookDeliveryStatusUnspecified WebhookDeliveryDataStatus = "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED"
const WebhookDeliveryDataStatusWebhookDeliveryStatusPending WebhookDeliveryDataStatus = "WEBHOOK_DELIVERY_STATUS_PENDING"
const WebhookDeliveryDataStatusWebhookDeliveryStatusCompleted WebhookDeliveryDataStatus = "WEBHOOK_DELIVERY_STATUS_COMPLETED"
const WebhookDeliveryDataStatusWebhookDeliveryStatusFailed WebhookDeliveryDataStatus = "WEBHOOK_DELIVERY_STATUS_FAILED"
const WebhookDeliveryDataStatusWebhookDeliveryStatusDisabled WebhookDeliveryDataStatus = "WEBHOOK_DELIVERY_STATUS_DISABLED"
WebhookID string
WebhookURL string

Webhook delivery details

ErrorMessage stringoptional
ResponseHeaders map[string, string]optional

Response headers received from the webhook endpoint

Metadata for ephemeral operations and activities (e.g., objectives, executions, runs)

ID string

Unique identifier for the operation (prefixed ULID, e.g., "obj_01HXK...")

AccountID string

Account this operation belongs to for multi-tenant isolation (prefixed ULID)

CreatedAt Time

Timestamp when this operation was created ULID includes timestamp information, but this explicit field enables easier querying

formatdate-time
ProfileID string

ID of the actor (user or service account) that created this operation

WorkspaceID string

Workspace this operation belongs to for organizational grouping (prefixed ULID)

ExternalID stringoptional

External ID for the operation (e.g., a workflow ID from an external system)

Labels map[string, string]optional

Arbitrary key-value pairs for categorization and filtering Examples: {"priority": "high", "source": "api", "workflow": "onboarding"}

List webhook deliveries

package main

import (
  "context"
  "fmt"

  "github.com/cadenya/cadenya-go"
  "github.com/cadenya/cadenya-go/option"
)

func main() {
  client := cadenya.NewClient(
    option.WithAPIKey("My API Key"),
  )
  page, err := client.Agents.WebhookDeliveries.List(
    context.TODO(),
    "agentId",
    cadenya.AgentWebhookDeliveryListParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "items": [
    {
      "data": {
        "agentId": "agentId",
        "attemptCount": 0,
        "eventType": "OBJECTIVE_EVENT_TYPE_UNSPECIFIED",
        "httpStatusCode": 0,
        "lastAttemptAt": "2019-12-27T18:11:19.117Z",
        "latencyMs": 0,
        "objectiveEventId": "objectiveEventId",
        "objectiveId": "objectiveId",
        "responseContentLength": "responseContentLength",
        "status": "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED",
        "webhookId": "webhookId",
        "webhookUrl": "webhookUrl",
        "errorMessage": "errorMessage",
        "responseHeaders": {
          "foo": "string"
        }
      },
      "metadata": {
        "id": "id",
        "accountId": "accountId",
        "createdAt": "2019-12-27T18:11:19.117Z",
        "profileId": "profileId",
        "workspaceId": "workspaceId",
        "externalId": "externalId",
        "labels": {
          "foo": "string"
        }
      }
    }
  ],
  "pagination": {
    "nextCursor": "nextCursor",
    "total": 0
  }
}
Returns Examples
{
  "items": [
    {
      "data": {
        "agentId": "agentId",
        "attemptCount": 0,
        "eventType": "OBJECTIVE_EVENT_TYPE_UNSPECIFIED",
        "httpStatusCode": 0,
        "lastAttemptAt": "2019-12-27T18:11:19.117Z",
        "latencyMs": 0,
        "objectiveEventId": "objectiveEventId",
        "objectiveId": "objectiveId",
        "responseContentLength": "responseContentLength",
        "status": "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED",
        "webhookId": "webhookId",
        "webhookUrl": "webhookUrl",
        "errorMessage": "errorMessage",
        "responseHeaders": {
          "foo": "string"
        }
      },
      "metadata": {
        "id": "id",
        "accountId": "accountId",
        "createdAt": "2019-12-27T18:11:19.117Z",
        "profileId": "profileId",
        "workspaceId": "workspaceId",
        "externalId": "externalId",
        "labels": {
          "foo": "string"
        }
      }
    }
  ],
  "pagination": {
    "nextCursor": "nextCursor",
    "total": 0
  }
}